View Issue Details

IDProjectCategoryView StatusLast Update
0024711LazarusIDEpublic2017-12-30 19:16
ReporterJohn WhittenAssigned ToOndrej Pokorny 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindowsOS Version7
Product Version1.0.10Product Build41613 
Target VersionFixed in Version1.7 (SVN) 
Summary0024711: Stay-On-Top Helper Windows
DescriptionSome of the Helper Windows, such as Edit Fields and whatnot, are not set to be "Stay-on-Top" whereas others are. I think there ought to be a clear policy for setting this, and my vote would be TO make them "Stay-on-Top" (or perhaps a selectable preference item). My reasoning is that when the window disappears behind the main window (or wherever) there is no easy way to pull it back to the top without having to go through the steps to reinvoke it (or pushing windows around). This is especially cumbersome when the IDE is in "all-in-one" docked mode.
Steps To ReproduceJust open some windows and click on a different window
Additional InformationThis is obviously not a show-stopper but it's probably an easy fix.
TagsNo tags attached.
Fixed in Revision51051, 51052
LazTarget1.6
Widgetset
Attached Files

Relationships

related to 0024546 closedOndrej Pokorny Patches Stay on top feature for Watches dialog 
related to 0032908 resolvedOndrej Pokorny Lazarus [Patches] Anchor Editor: Added CheckBox "Stay on top" 

Activities

Juha Manninen

2013-07-05 18:43

developer   ~0068723

Can you please make a list of windows you want to be changed.

John Whitten

2013-08-29 02:25

reporter   ~0069577

Yes, I will put together a list.

Martin Friebe

2013-08-29 09:58

manager   ~0069579

IMHO none modal windows should not be stay on top by default. (Modal windows should/are always)

Windows like "Edit Fields" can partly overlap the designer, or other windows needed for designing, and then they must be able to go behind them too.

In the docking manager, an item can be added to the popup menu of the dock-handle.

In the normal IDE we may need to find another way to add a global hook where such a menu can be added to all windows (and then be implemented in a package)

Ondrej Pokorny

2015-12-27 14:31

reporter   ~0088310

I fixed it for Menu Designer, Collection Editor and ActionList Editor with PopupMode/PopupParent. PopupParent is set only for docked IDE. It doesn't make sense for the undocked IDE, IMO.

Please test and close if OK.

Issue History

Date Modified Username Field Change
2013-07-05 17:07 John Whitten New Issue
2013-07-05 18:43 Juha Manninen Note Added: 0068723
2013-08-29 02:25 John Whitten Note Added: 0069577
2013-08-29 09:44 Martin Friebe Relationship added related to 0024546
2013-08-29 09:58 Martin Friebe Note Added: 0069579
2015-12-27 14:25 Ondrej Pokorny LazTarget => 1.6
2015-12-27 14:25 Ondrej Pokorny Assigned To => Ondrej Pokorny
2015-12-27 14:25 Ondrej Pokorny Status new => assigned
2015-12-27 14:31 Ondrej Pokorny Fixed in Revision => 51051, 51052
2015-12-27 14:31 Ondrej Pokorny Note Added: 0088310
2015-12-27 14:31 Ondrej Pokorny Status assigned => resolved
2015-12-27 14:31 Ondrej Pokorny Fixed in Version => 1.7 (SVN)
2015-12-27 14:31 Ondrej Pokorny Resolution open => fixed
2017-12-30 19:16 Ondrej Pokorny Relationship added related to 0032908